# Uses of Interface
org.apache.commons.math3.ml.clustering.Clusterable

Packages that use Clusterable
Package
Description
org.apache.commons.math3.ml.clustering
Clustering algorithms.
org.apache.commons.math3.ml.clustering.evaluation
Cluster evaluation methods.

## Uses of Clusterable in org.apache.commons.math3.ml.clustering

Classes in org.apache.commons.math3.ml.clustering with type parameters of type Clusterable
Modifier and Type
Class
Description
`class`
`CentroidCluster<T extends Clusterable>`
A Cluster used by centroid-based clustering algorithms.
`class`
`Cluster<T extends Clusterable>`
Cluster holding a set of `Clusterable` points.
`class`
`Clusterer<T extends Clusterable>`
Base class for clustering algorithms.
`class`
`DBSCANClusterer<T extends Clusterable>`
DBSCAN (density-based spatial clustering of applications with noise) algorithm.
`class`
`FuzzyKMeansClusterer<T extends Clusterable>`
Fuzzy K-Means clustering algorithm.
`class`
`KMeansPlusPlusClusterer<T extends Clusterable>`
Clustering algorithm based on David Arthur and Sergei Vassilvitski k-means++ algorithm.
`class`
`MultiKMeansPlusPlusClusterer<T extends Clusterable>`
A wrapper around a k-means++ clustering algorithm which performs multiple trials and returns the best solution.
Classes in org.apache.commons.math3.ml.clustering that implement Clusterable
Modifier and Type
Class
Description
`class`
`DoublePoint`
A simple implementation of `Clusterable` for points with double coordinates.
Methods in org.apache.commons.math3.ml.clustering that return Clusterable
Modifier and Type
Method
Description
`Clusterable`
CentroidCluster.`getCenter()`
Get the point chosen to be the center of this cluster.
Methods in org.apache.commons.math3.ml.clustering with parameters of type Clusterable
Modifier and Type
Method
Description
`protected double`
Clusterer.`distance(Clusterable p1, Clusterable p2)`
Calculates the distance between two `Clusterable` instances with the configured `DistanceMeasure`.
Constructors in org.apache.commons.math3.ml.clustering with parameters of type Clusterable
Modifier
Constructor
Description
``
`CentroidCluster(Clusterable center)`
Build a cluster centered at a specified point.

## Uses of Clusterable in org.apache.commons.math3.ml.clustering.evaluation

Classes in org.apache.commons.math3.ml.clustering.evaluation with type parameters of type Clusterable
Modifier and Type
Class
Description
`class`
`ClusterEvaluator<T extends Clusterable>`
Base class for cluster evaluation methods.
`class`
`SumOfClusterVariances<T extends Clusterable>`
Computes the sum of intra-cluster distance variances according to the formula:
Methods in org.apache.commons.math3.ml.clustering.evaluation that return Clusterable
Modifier and Type
Method
Description
`protected Clusterable`
ClusterEvaluator.`centroidOf(Cluster<T> cluster)`
Computes the centroid for a cluster.
Methods in org.apache.commons.math3.ml.clustering.evaluation with parameters of type Clusterable
Modifier and Type
Method
Description
`protected double`
ClusterEvaluator.`distance(Clusterable p1, Clusterable p2)`
Calculates the distance between two `Clusterable` instances with the configured `DistanceMeasure`.